package com.zbf.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_call_notice_order
 *
 * @author tony
 * @date 2024-07-30
 */
@TableName(resultMap = "com.zbf.system.mapper.TCallNoticeOrderMapper.TCallNoticeOrderResult")
public class TCallNoticeOrder extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;

    /** 入库通知单号或出库通知单号 */
    @Excel(name = "入库通知单号或出库通知单号")
    private String taskId;

    /** 任务类型 0：入库  1：出库 */
    @Excel(name = "任务类型 0：入库  1：出库")
    private String taskType;

    /** 0: 未处理  1：已处理 */
    @Excel(name = "0: 未处理  1：已处理")
    private String status;

    /** 0：正常任务  1：虚拟任务 */
    @Excel(name = "0：正常任务  1：虚拟任务")
    private String fictitious;

    /** 来源单号 */
    @Excel(name = "来源单号")
    private String deliveryId;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String providerName;

    /** 订单类型 出入库类型 */
    @Excel(name = "订单类型 出入库类型")
    private String orderType;

    /** 部门ID */
    private Long deptId;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setId(String id)
            {
            this.id = id;
            }

    public String getId()
            {
            return id;
            }
    public void setTaskId(String taskId)
            {
            this.taskId = taskId;
            }

    public String getTaskId()
            {
            return taskId;
            }
    public void setTaskType(String taskType)
            {
            this.taskType = taskType;
            }

    public String getTaskType()
            {
            return taskType;
            }
    public void setStatus(String status)
            {
            this.status = status;
            }

    public String getStatus()
            {
            return status;
            }
    public void setFictitious(String fictitious)
            {
            this.fictitious = fictitious;
            }

    public String getFictitious()
            {
            return fictitious;
            }
    public void setDeliveryId(String deliveryId)
            {
            this.deliveryId = deliveryId;
            }

    public String getDeliveryId()
            {
            return deliveryId;
            }
    public void setProviderName(String providerName)
            {
            this.providerName = providerName;
            }

    public String getProviderName()
            {
            return providerName;
            }
    public void setOrderType(String orderType)
            {
            this.orderType = orderType;
            }

    public String getOrderType()
            {
            return orderType;
            }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("taskType", getTaskType())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("fictitious", getFictitious())
            .append("deliveryId", getDeliveryId())
            .append("providerName", getProviderName())
            .append("orderType", getOrderType())
        .toString();
        }
}


















